// Avalon Media Player
// Copyright  2001 Pulsar Studio / Lord Trancos.

program AMP;

uses
  Forms, Windows,
  AMPU1 in 'AMPU1.PAS' {Form1},
  Common in 'Common.pas',
  Skinned in 'Skinned.pas',
  DX8DS in '..\DX8DS.pas',
  AMPU2 in 'AMPU2.pas' {Form2},
  AMPU3 in 'AMPU3.pas' {Form3};

{$R *.RES}
var PIWin  : hWnd;
    AtomFN : WParam;

begin
  // Check if it's already running...
  PIWin := FindWindow(WINDOWCLASSNAME, NIL);
  if PIWin <> 0 then
    begin
      // Any parameter ?
      if Paramcount = 0 then halt;
      // Add atom to system table.
      AtomFN := GlobalAddAtom(pChar(paramstr(1)));
      // Send message to the other instance main window.
      PostMessage(PIWin, CM_OPENFILE, AtomFN, 0);
      // Exit.
      halt;
    end;

  // Run program.
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TForm3, Form3);
  Application.CreateForm(TForm2, Form2);
  Application.Run;
end.
